<button uk-toggle="target: #formmodal" class="uk-button uk-button-default uk-button-large">Create Contact</button>
<table class="uk-table">
  <caption>Contact List</caption>
  <thead>
    <tr>
      <th>Id</th>
      <th>First Name</th>
      <th>Last Name</th>
      <th>Company Name</th>
      <th>Job Title</th>
      <th>Email</th>
      <th>Phone</th>
      <th>Notes</th>
    </tr>
  </thead>
  <tbody>
    <tr *ngFor="let contact of contacts">
      <td>{{ contact.id }}</td>
      <td>{{ contact.firstName }}</td>
      <td>{{ contact.lastName }}</td>
      <td>{{ contact.company }}</td>
      <td>{{ contact.jobTitle }}</td>
      <td>{{ contact.email }}</td>
      <td>{{ contact.phone }}</td>
      <td>{{ contact.notes }}</td>
      <td><button uk-toggle="target: #formmodal" class="uk-button uk-button-primary"
          (click)="edit(contact)">Edit</button>
      </td>
      <td><button class="uk-button uk-button-danger" (click)="delete(contact.id)">Delete</button></td>
    </tr>
  </tbody>

</table>
<app-contactform [editData]="selectedContact"></app-contactform>